Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.connecterra.ale.reader.access
Class ReadDeviceOpReport

    java.lang.Object
      com.connecterra.ale.reader.access.DeviceOpReport
          com.connecterra.ale.reader.access.FieldDeviceOpReport
              com.connecterra.ale.reader.access.ReadDeviceOpReport

    public class ReadDeviceOpReport

extends com.connecterra.ale.reader.access.FieldDeviceOpReport

Report from a read tag operation. It consists of an OpStatus, the the data read from the tag, and the AFI, if any.

Constructor Summary
`ReadDeviceOpReport(OpStatus status)` Creates a new `ReadDeviceOpReport` instance.
`ReadDeviceOpReport(OpStatus status, long[] data)` Creates a new `ReadDeviceOpReport` instance.
`ReadDeviceOpReport(OpStatus status, long[] data, int afi, int dataLength)`
`ReadDeviceOpReport(OpStatus status, long msWord, long lsWord)` Creates a new `ReadDeviceOpReport` instance.
`ReadDeviceOpReport(OpStatus status, URI field, long[] data, int afi, int dataLength)`

Method Summary

Methods inherited from class com.connecterra.ale.reader.access.FieldDeviceOpReport
`getField, setField`

Methods inherited from class com.connecterra.ale.reader.access.DeviceOpReport
`opStatusToPCStatus`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReadDeviceOpReport

    public ReadDeviceOpReport(OpStatus status,
                              long[] data)

  Creates a new `ReadDeviceOpReport` instance.

  Parameters:
    `status` - the read operation's `OpStatus` value
    `data` - a `long[]` value containing the data read from the tag

### ReadDeviceOpReport

    public ReadDeviceOpReport(OpStatus status,
                              URI field,
                              long[] data,
                              int afi,
                              int dataLength)

### ReadDeviceOpReport

    public ReadDeviceOpReport(OpStatus status,
                              long[] data,
                              int afi,
                              int dataLength)

### ReadDeviceOpReport

    public ReadDeviceOpReport(OpStatus status,
                              long msWord,
                              long lsWord)

  Creates a new `ReadDeviceOpReport` instance. This is a convenience method which behaves identically to `new ReadDeviceOpReport(status, new long[] { msWord, lsWord })`.

  Parameters:
    `status` - the read operation's `OpStatus` value
    `msWord` - a `long` value containing the most significant word of the data read
    `lsWord` - a `long` value containing the least significant word of the data read

### ReadDeviceOpReport

    public ReadDeviceOpReport(OpStatus status)

  Creates a new `ReadDeviceOpReport` instance. This method should be used to provide an error code with no data when the read fails.

  Parameters:
    `status` - an `OpStatus` value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at ${DOCSWEBROOT} Copyright 2007 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD